Subject: bug#19874: 25.0.50; encode-time not working as expected

From: Wolfgang Jenkner <[email-masked]>
Date: Thu, 26 Feb 2015 18:36:05 +0100

On Thu, Feb 26 2015, Wolfgang Jenkner wrote:

> Indeed, on amd64 time_t is a signed 64 bit type but something doesn't
> really support that.  Adjusting time_t_max (and time_t_min) as if time_t
> were a 32 bit type makes the mktime test pass, so that seems to be
> a FreeBSD bug.

Sigh.  It's localtime that is broken: It doesn't return a NULL pointer
(nor sets it errno) when the tm_year field (an int) can't hold the
result.  Hence mktime_test1 doesn't return 1 in this case.

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=145341